Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-33236

I have upgraded the jenkins version from 1.4 to 1.649 ,after migration My Java 1,5 projects are not compiling

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      I I have upgraded the jenkins version from 1.4 to 1.649 ,after migration My Java 1,5 projects are not compiling ending with following exception,but 1,6 and 1,7 projects are compiling.

      No emails were triggered.
      Parsing POMs
      [maven-versioninfo-plugin] $ /srv/hudson/tools/Java-1.5.x/bin/java -Xmx512m -Xms64m -XX:PermSize=64m -XX:MaxPermSize=128m -cp /srv/hudson/maven-agent.jar:/srv/hudson/classworlds.jar hudson.maven.agent.Main /srv/hudson/tools/maven-2.0.x /srv/hudson/slave.jar /srv/hudson/maven-interceptor.jar 44373
      <===[HUDSON REMOTING CAPACITY]===>���channel started
      channel stopped
      ERROR: POMs konnten nicht geparst werden
      java.io.IOException: Remote call on Channel to Maven [/srv/hudson/tools/Java-1.5.x/bin/java, -Xmx512m, -Xms64m, -XX:PermSize=64m, -XX:MaxPermSize=128m, -cp, /srv/hudson/maven-agent.jar:/srv/hudson/classworlds.jar, hudson.maven.agent.Main, /srv/hudson/tools/maven-2.0.x, /srv/hudson/slave.jar, /srv/hudson/maven-interceptor.jar, 44373] failed
      at hudson.remoting.Channel.call(Channel.java:638)
      at hudson.maven.ProcessCache$MavenProcess.call(ProcessCache.java:156)
      at hudson.maven.MavenModuleSetBuild$RunnerImpl.doRun(MavenModuleSetBuild.java:665)
      at hudson.model.AbstractBuild$AbstractRunner.run(AbstractBuild.java:420)
      at hudson.model.Run.run(Run.java:1362)
      at hudson.maven.MavenModuleSetBuild.run(MavenModuleSetBuild.java:424)
      at hudson.model.ResourceController.execute(ResourceController.java:88)
      at hudson.model.Executor.run(Executor.java:145)
      Caused by: java.lang.UnsupportedClassVersionError: Bad version number in .class file
      at java.lang.ClassLoader.defineClass1(Native Method)
      at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
      at java.lang.ClassLoader.defineClass(ClassLoader.java:465)
      at hudson.remoting.RemoteClassLoader.loadClassFile(RemoteClassLoader.java:151)
      at hudson.remoting.RemoteClassLoader.findClass(RemoteClassLoader.java:131)
      at java.lang.ClassLoader.loadClass(ClassLoader.java:306)

        Attachments

          Issue Links

            Activity

            Hide
            aheritier Arnaud Héritier added a comment -

            I'm surprised that it works with 1.6
            It should be compatible with 1.7 only
            See JENKINS-8744, JENKINS-18403, JENKINS-28294
            We need to backport this doc into the wiki page for a better visibility : https://cloudbees.zendesk.com/hc/en-us/articles/217517477-Maven-jobs-and-Java-versions-compatibility

            Show
            aheritier Arnaud Héritier added a comment - I'm surprised that it works with 1.6 It should be compatible with 1.7 only See JENKINS-8744 , JENKINS-18403 , JENKINS-28294 We need to backport this doc into the wiki page for a better visibility : https://cloudbees.zendesk.com/hc/en-us/articles/217517477-Maven-jobs-and-Java-versions-compatibility

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              bhaskard892 dasari bhaskar
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: